diff --git a/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java b/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
index 715a2baf87f7603dcb89af57fe2466aa6dd5263c..fc45395e9121a30e7758259849c360fdde08a334 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
@@ -396,10 +396,11 @@ public class TokenServlet extends CMSServlet {
 
                 try {
 
-                    byte macKeyArray[] = com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
-                            + keySet + ".mac_key"));
-                    CMS.debug("TokenServlet about to try ComputeSessionKey selectedToken=" + selectedToken
-                            + " keyNickName=" + keyNickName);
+                    byte macKeyArray[] =
+                            com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
+                                    + keySet + ".mac_key"));
+                    CMS.debug("TokenServlet about to try ComputeSessionKey selectedToken="
+                            + selectedToken + " keyNickName=" + keyNickName);
                     session_key = SessionKey.ComputeSessionKey(
                             selectedToken, keyNickName, card_challenge,
                             host_challenge, keyInfo, CUID, macKeyArray, useSoftToken_s, keySet, transportKeyName);
@@ -410,8 +411,9 @@ public class TokenServlet extends CMSServlet {
 
                     }
 
-                    byte encKeyArray[] = com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
-                            + keySet + ".auth_key"));
+                    byte encKeyArray[] =
+                            com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
+                                    + keySet + ".auth_key"));
                     enc_session_key = SessionKey.ComputeEncSessionKey(
                             selectedToken, keyNickName, card_challenge,
                             host_challenge, keyInfo, CUID, encKeyArray, useSoftToken_s, keySet);
@@ -433,8 +435,9 @@ public class TokenServlet extends CMSServlet {
                          **/
                         CMS.debug("TokenServlet: calling ComputeKekKey");
 
-                        byte kekKeyArray[] = com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
-                                + keySet + ".kek_key"));
+                        byte kekKeyArray[] =
+                                com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
+                                        + keySet + ".kek_key"));
 
                         kek_key = SessionKey.ComputeKekKey(
                                 selectedToken, keyNickName, card_challenge,
@@ -545,8 +548,9 @@ public class TokenServlet extends CMSServlet {
 
                     } // if (serversideKeygen == true)
 
-                    byte authKeyArray[] = com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
-                            + keySet + ".auth_key"));
+                    byte authKeyArray[] =
+                            com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks."
+                                    + keySet + ".auth_key"));
                     host_cryptogram = SessionKey.ComputeCryptogram(
                             selectedToken, keyNickName, card_challenge,
                             host_challenge, keyInfo, CUID, 0, authKeyArray, useSoftToken_s, keySet);
@@ -869,8 +873,8 @@ public class TokenServlet extends CMSServlet {
                     " oldKeyNickName=" + oldKeyNickName + " newKeyNickName=" +
                     newKeyNickName);
 
-            byte kekKeyArray[] = com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks." + keySet
-                    + ".kek_key"));
+            byte kekKeyArray[] =
+                    com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks." + keySet + ".kek_key"));
             KeySetData = SessionKey.DiversifyKey(oldSelectedToken,
                      newSelectedToken, oldKeyNickName,
                     newKeyNickName, rnewKeyInfo, CUID, kekKeyArray, useSoftToken_s, keySet);
@@ -1074,8 +1078,8 @@ public class TokenServlet extends CMSServlet {
                 keyNickName = st.nextToken();
             }
 
-            byte kekKeyArray[] = com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks." + keySet
-                    + ".kek_key"));
+            byte kekKeyArray[] =
+                    com.netscape.cmsutil.util.Utils.SpecialDecode(sconfig.getString("tks." + keySet + ".kek_key"));
             encryptedData = SessionKey.EncryptData(
                        selectedToken, keyNickName, data, keyInfo, CUID, kekKeyArray, useSoftToken_s, keySet);
 
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index 7f85b6040a42616122d845c72f9d8c8a46e5f0a6..384b4cd67e37aed5f33e93fcfb4b234c2b7499db 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -118,6 +118,7 @@ import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.certsrv.request.RequestStatus;
+import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.csadmin.LDAPSecurityDomainSessionTable;
 import com.netscape.cms.servlet.csadmin.SecurityDomainSessionTable;
 import com.netscape.cms.servlet.csadmin.SessionTimer;
@@ -1521,7 +1522,7 @@ public class CMSEngine implements ICMSEngine {
     }
 
     public void terminateRequests() {
-        Enumeration e = CommandQueue.mCommandQueue.keys();
+        Enumeration<CMSRequest> e = CommandQueue.mCommandQueue.keys();
 
         while (e.hasMoreElements()) {
             Object thisRequest = e.nextElement();
@@ -1840,10 +1841,10 @@ public class CMSEngine implements ICMSEngine {
                         RequestStatus status = checkRevReq.getRequestStatus();
 
                         if (status == RequestStatus.COMPLETE) {
-                            Enumeration enum1 = checkRevReq.getExtDataKeys();
+                            Enumeration<String> enum1 = checkRevReq.getExtDataKeys();
 
                             while (enum1.hasMoreElements()) {
-                                String name = (String) enum1.nextElement();
+                                String name = enum1.nextElement();
 
                                 if (name.equals(IRequest.REVOKED_CERTS)) {
                                     revoked = true;
@@ -1920,7 +1921,7 @@ class WarningListener implements ILogEventListener {
      * and from source "source". If the parameter is omitted. All entries
      * are sent back.
      */
-    public synchronized NameValuePairs retrieveLogContent(Hashtable req) throws ServletException,
+    public synchronized NameValuePairs retrieveLogContent(Hashtable<String, String> req) throws ServletException,
             IOException, EBaseException {
         return null;
     }
@@ -1928,7 +1929,7 @@ class WarningListener implements ILogEventListener {
     /**
      * Retrieve log file list.
      */
-    public synchronized NameValuePairs retrieveLogList(Hashtable req) throws ServletException,
+    public synchronized NameValuePairs retrieveLogList(Hashtable<String, String> req) throws ServletException,
             IOException, EBaseException {
         return null;
     }
@@ -1941,14 +1942,14 @@ class WarningListener implements ILogEventListener {
         return "ConsoleLog";
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         return v;
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         return v;
     }
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/Setup.java b/pki/base/common/src/com/netscape/cmscore/apps/Setup.java
index 5ce0c6d2dcb20a70eb2afa772a9dd925e82348a2..3486ec40e511ed58cdcd15e4ec7d706bcb9577ed 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/Setup.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/Setup.java
@@ -47,7 +47,7 @@ public class Setup {
             { "auths.impl.PortalEnroll.class", "com.netscape.cms.authentication.PortalEnroll"
             },
             { "auths.revocationChecking.bufferSize", "50" },
-        };
+    };
 
     public static void installAuthImpls(IConfigStore c)
             throws EBaseException {
@@ -331,12 +331,18 @@ public class Setup {
             { "ca.publish.mapper.impl.LdapSubjAttrMap.class", "com.netscape.cms.publish.LdapCertSubjMap" },
             { "ca.publish.mapper.impl.LdapDNExactMap.class", "com.netscape.cms.publish.LdapCertExactMap" },
             //{"ca.publish.mapper.impl.LdapCrlIssuerCompsMap.class","com.netscape.cms.publish.LdapCrlIssuerCompsMap"},
-            { "ca.publish.publisher.impl.LdapUserCertPublisher.class", "com.netscape.cms.publish.LdapUserCertPublisher" },
-            { "ca.publish.publisher.impl.LdapCaCertPublisher.class", "com.netscape.cms.publish.LdapCaCertPublisher" },
+            {
+                    "ca.publish.publisher.impl.LdapUserCertPublisher.class",
+                    "com.netscape.cms.publish.LdapUserCertPublisher" },
+            {
+                    "ca.publish.publisher.impl.LdapCaCertPublisher.class",
+                    "com.netscape.cms.publish.LdapCaCertPublisher" },
             { "ca.publish.publisher.impl.LdapCrlPublisher.class", "com.netscape.cms.publish.LdapCrlPublisher" },
-            { "ca.publish.publisher.impl.FileBasedPublisher.class", "com.netscape.cms.publish.FileBasedPublisher" },
+            {
+                    "ca.publish.publisher.impl.FileBasedPublisher.class",
+                    "com.netscape.cms.publish.FileBasedPublisher" },
             { "ca.publish.publisher.impl.OCSPPublisher.class", "com.netscape.cms.publish.OCSPPublisher" },
             { "ca.publish.rule.impl.Rule.class", "com.netscape.cmscore.ldap.LdapRule" },
-        };
+    };
 
 }
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java b/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
index ad5dd55eeb4788498f584cd2f355f24b3e2b6a5d..c66d8a71db2af64dff208aaa903ab67037e0c0f9 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
@@ -390,8 +390,8 @@ public class CertUtils {
         sb.append("\n");
         sb.append("Encryption Certificate Serial No: " + encryptionCert.getSerialNumber().toString(16).toUpperCase());
         sb.append("\n");
-        sb.append("Validity: From: " + signingCert.getNotBefore().toString() + "  To: "
-                + signingCert.getNotAfter().toString());
+        sb.append("Validity: From: "
+                + signingCert.getNotBefore().toString() + "  To: " + signingCert.getNotAfter().toString());
         sb.append("\n");
         return new String(sb);
     }
@@ -919,8 +919,8 @@ public class CertUtils {
             }
             String certusage = config.getString(subsysType + ".cert." + tag + ".certusage", "");
             if (certusage.equals("")) {
-                CMS.debug("CertUtils: verifySystemCertByTag() certusage for cert tag " + tag
-                        + " undefined in CS.cfg, getting current certificate usage");
+                CMS.debug("CertUtils: verifySystemCertByTag() certusage for cert tag "
+                        + tag + " undefined in CS.cfg, getting current certificate usage");
             }
             r = verifySystemCertByNickname(nickname, certusage);
             if (r == true) {
@@ -1032,8 +1032,8 @@ public class CertUtils {
             }
             String certlist = config.getString(subsysType + ".cert.list", "");
             if (certlist.equals("")) {
-                CMS.debug("CertUtils: verifySystemCerts() " + subsysType
-                        + ".cert.list not defined in CS.cfg. System certificates verification not done");
+                CMS.debug("CertUtils: verifySystemCerts() "
+                        + subsysType + ".cert.list not defined in CS.cfg. System certificates verification not done");
                 auditMessage = CMS.getLogMessage(
                             LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
                             ILogger.SYSTEM_UID,
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/CrlCachePrettyPrint.java b/pki/base/common/src/com/netscape/cmscore/cert/CrlCachePrettyPrint.java
index 42ee8f7fd58a286484e65c68d18e45fb8b6ee033..6d838b70d80c58941a238842f611da459654b534 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/CrlCachePrettyPrint.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/CrlCachePrettyPrint.java
@@ -26,7 +26,7 @@ import java.util.TimeZone;
 
 import netscape.security.x509.CRLExtensions;
 import netscape.security.x509.Extension;
-import netscape.security.x509.RevokedCertImpl;
+import netscape.security.x509.RevokedCertificate;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.ICRLPrettyPrint;
@@ -181,14 +181,15 @@ public class CrlCachePrettyPrint implements ICRLPrettyPrint {
                 }
                 sb.append("\n");
 
-                Set revokedCerts = mIP.getRevokedCertificates((int) (pageStart - 1), (int) upperLimit);
+                Set<RevokedCertificate> revokedCerts =
+                        mIP.getRevokedCertificates((int) (pageStart - 1), (int) upperLimit);
 
                 if (revokedCerts != null) {
-                    Iterator i = revokedCerts.iterator();
+                    Iterator<RevokedCertificate> i = revokedCerts.iterator();
                     long l = 1;
 
                     while ((i.hasNext()) && ((crlSize == 0) || (upperLimit - pageStart + 1 >= l))) {
-                        RevokedCertImpl revokedCert = (RevokedCertImpl) i.next();
+                        RevokedCertificate revokedCert = i.next();
 
                         if ((crlSize == 0) || (upperLimit - pageStart + 1 >= l)) {
                             sb.append(pp.indent(16) + resource.getString(
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java b/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java
index 81d0da20e7bffe5b04c40c77c94f5e916edca39a..dfd7dbab8e5f840abb55c9679e004d82838b66c5 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java
@@ -133,7 +133,7 @@ public class OidLoaderSubsystem implements ISubsystem {
         }
         mConfig = config;
 
-        Enumeration names = mConfig.getSubStoreNames();
+        Enumeration<String> names = mConfig.getSubStoreNames();
 
         // load static (build-in) extensions
 
diff --git a/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java b/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java
index d32cf283cf9b3bd9231ab80fc5503938f5718067..af72fee45d0c2a4f212f47a707ef72188fcc81e8 100644
--- a/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java
+++ b/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java
@@ -69,8 +69,8 @@ public class HttpPKIMessage implements IHttpPKIMessage {
         reqId = r.getRequestId().toString();
         reqStatus = r.getRequestStatus().toString();
 
-        CMS.debug("HttpPKIMessage.fromRequest: requestId=" + r.getRequestId().toString() + " requestStatus="
-                + reqStatus + " instance=" + r);
+        CMS.debug("HttpPKIMessage.fromRequest: requestId="
+                + r.getRequestId().toString() + " requestStatus=" + reqStatus + " instance=" + r);
 
         String attrs[] = RequestTransfer.getTransferAttributes(r);
         int len = attrs.length;
@@ -114,7 +114,7 @@ public class HttpPKIMessage implements IHttpPKIMessage {
                 if (value instanceof String) {
                     r.setExtData(key, (String) value);
                 } else if (value instanceof Hashtable) {
-                    r.setExtData(key, (Hashtable) value);
+                    r.setExtData(key, (Hashtable<String, String>) value);
                 } else {
                     CMS.debug("HttpPKIMessage.toRequest(): key: " + key +
                             " has unexpected type " + value.getClass().toString());
diff --git a/pki/base/common/src/com/netscape/cmscore/connector/LocalConnector.java b/pki/base/common/src/com/netscape/cmscore/connector/LocalConnector.java
index 806ca57c396e53fe3e9cc3636f69e592a6020e16..5898e3228308f534c8b67c258a66031f44a423fb 100644
--- a/pki/base/common/src/com/netscape/cmscore/connector/LocalConnector.java
+++ b/pki/base/common/src/com/netscape/cmscore/connector/LocalConnector.java
@@ -59,8 +59,9 @@ public class LocalConnector implements IConnector {
      */
     public boolean send(IRequest r) throws EBaseException {
         if (Debug.ON) {
-            Debug.print("send request type " + r.getRequestType() + " status=" + r.getRequestStatus() + " to "
-                    + mDest.getId() + " id=" + r.getRequestId() + "\n");
+            Debug.print("send request type "
+                    + r.getRequestType() + " status=" + r.getRequestStatus() + " to " + mDest.getId() + " id="
+                    + r.getRequestId() + "\n");
         }
         CMS.debug("send request type " + r.getRequestType() +
                 " to " + mDest.getId());
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java b/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
index f80889d9198b5266ddc5fcfa2d287200e63b731c..9ee5be524489f0ccc18d741f96e64bddcb43c857 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
@@ -105,11 +105,11 @@ public class CertificateRepository extends Repository
     public BigInteger getLastSerialNumberInRange(BigInteger serial_low_bound, BigInteger serial_upper_bound)
             throws EBaseException {
 
-        CMS.debug("CertificateRepository:  in getLastSerialNumberInRange: low " + serial_low_bound + " high "
-                + serial_upper_bound);
+        CMS.debug("CertificateRepository:  in getLastSerialNumberInRange: low "
+                + serial_low_bound + " high " + serial_upper_bound);
 
-        if (serial_low_bound == null || serial_upper_bound == null
-                || serial_low_bound.compareTo(serial_upper_bound) >= 0) {
+        if (serial_low_bound == null
+                || serial_upper_bound == null || serial_low_bound.compareTo(serial_upper_bound) >= 0) {
             return null;
 
         }
@@ -118,8 +118,8 @@ public class CertificateRepository extends Repository
 
         String[] attrs = null;
 
-        ICertRecordList recList = findCertRecordsInList(ldapfilter, attrs, serial_upper_bound.toString(10), "serialno",
-                5 * -1);
+        ICertRecordList recList =
+                findCertRecordsInList(ldapfilter, attrs, serial_upper_bound.toString(10), "serialno", 5 * -1);
 
         int size = recList.getSize();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/KeyRepository.java b/pki/base/common/src/com/netscape/cmscore/dbs/KeyRepository.java
index b9cb2bdf2e0317b7cc1599797f65f9e6df7b3eb8..269a94c9d312e3e4831a74224d8dc0cea5f4b760 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/KeyRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/KeyRepository.java
@@ -449,19 +449,20 @@ public class KeyRepository extends Repository implements IKeyRepository {
     public BigInteger getLastSerialNumberInRange(BigInteger serial_low_bound, BigInteger serial_upper_bound) throws
             EBaseException {
 
-        CMS.debug("KeyRepository:  in getLastSerialNumberInRange: low " + serial_low_bound + " high "
-                + serial_upper_bound);
+        CMS.debug("KeyRepository:  in getLastSerialNumberInRange: low "
+                + serial_low_bound + " high " + serial_upper_bound);
 
-        if (serial_low_bound == null || serial_upper_bound == null
-                || serial_low_bound.compareTo(serial_upper_bound) >= 0) {
+        if (serial_low_bound == null
+                || serial_upper_bound == null || serial_low_bound.compareTo(serial_upper_bound) >= 0) {
             return null;
         }
 
         String ldapfilter = "(" + "serialno" + "=*" + ")";
         String[] attrs = null;
 
-        KeyRecordList recList = (KeyRecordList) findKeyRecordsInList(ldapfilter, attrs,
-                serial_upper_bound.toString(10), "serialno", 5 * -1);
+        KeyRecordList recList =
+                (KeyRecordList) findKeyRecordsInList(ldapfilter, attrs, serial_upper_bound.toString(10), "serialno",
+                        5 * -1);
 
         int size = recList.getSize();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/ReplicaIDRepository.java b/pki/base/common/src/com/netscape/cmscore/dbs/ReplicaIDRepository.java
index 87f962faa5e27f16f142874c94335bbbcafae95a..46ab073850955aa05f76aab52cff425a54ede8da 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/ReplicaIDRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/ReplicaIDRepository.java
@@ -54,10 +54,10 @@ public class ReplicaIDRepository extends Repository
      */
     public BigInteger getLastSerialNumberInRange(BigInteger serial_low_bound, BigInteger serial_upper_bound)
             throws EBaseException {
-        CMS.debug("ReplicaIDReposoitory: in getLastSerialNumberInRange: low " + serial_low_bound + " high "
-                + serial_upper_bound);
-        if (serial_low_bound == null || serial_upper_bound == null
-                || serial_low_bound.compareTo(serial_upper_bound) >= 0) {
+        CMS.debug("ReplicaIDReposoitory: in getLastSerialNumberInRange: low "
+                + serial_low_bound + " high " + serial_upper_bound);
+        if (serial_low_bound == null
+                || serial_upper_bound == null || serial_low_bound.compareTo(serial_upper_bound) >= 0) {
             return null;
         }
         BigInteger ret = new BigInteger(getMinSerial());
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java b/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java
index 06ea075e866a3760562bf1745c417854052bf64e..7cf39dcef8eb987fc63cb5387d65e417dd6c609d 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java
@@ -46,7 +46,7 @@ import com.netscape.cmscore.util.Debug;
  */
 public class RevocationInfoMapper implements IDBAttrMapper {
 
-    protected static Vector mNames = new Vector();
+    protected static Vector<String> mNames = new Vector<String>();
     static {
         mNames.addElement(CertDBSchema.LDAP_ATTR_REVO_INFO);
     }
@@ -57,7 +57,7 @@ public class RevocationInfoMapper implements IDBAttrMapper {
     public RevocationInfoMapper() {
     }
 
-    public Enumeration getSupportedLDAPAttributeNames() {
+    public Enumeration<String> getSupportedLDAPAttributeNames() {
         return mNames.elements();
     }
 
@@ -74,10 +74,10 @@ public class RevocationInfoMapper implements IDBAttrMapper {
             CRLExtensions exts = info.getCRLEntryExtensions();
             // CRLExtension's DER encoding and decoding does not work!
             // That is why we need to do our own serialization.
-            Enumeration e = exts.getElements();
+            Enumeration<Extension> e = exts.getElements();
 
             while (e.hasMoreElements()) {
-                Extension ext = (Extension) e.nextElement();
+                Extension ext = e.nextElement();
 
                 if (ext instanceof CRLReasonExtension) {
                     RevocationReason reason =
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java b/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java
index ddbc2cd07eb2886bab20866b65cb01892f5f26ac..856a8c59193740db53d61aa1ada8e8246a51183b 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java
@@ -54,8 +54,8 @@ public class X509CertImplMapper implements IDBAttrMapper {
     public X509CertImplMapper() {
     }
 
-    public Enumeration getSupportedLDAPAttributeNames() {
-        Vector v = new Vector();
+    public Enumeration<String> getSupportedLDAPAttributeNames() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement(CertDBSchema.LDAP_ATTR_NOT_BEFORE);
         v.addElement(CertDBSchema.LDAP_ATTR_NOT_AFTER);
@@ -90,11 +90,11 @@ public class X509CertImplMapper implements IDBAttrMapper {
                     cert.getSubjectDN().getName()));
             attrs.add(new LDAPAttribute(CertDBSchema.LDAP_ATTR_PUBLIC_KEY_DATA, cert.getPublicKey().getEncoded()));
             // make extension searchable
-            Set nonCritSet = cert.getNonCriticalExtensionOIDs();
+            Set<String> nonCritSet = cert.getNonCriticalExtensionOIDs();
 
             if (nonCritSet != null) {
-                for (Iterator i = nonCritSet.iterator(); i.hasNext();) {
-                    String oid = (String) i.next();
+                for (Iterator<String> i = nonCritSet.iterator(); i.hasNext();) {
+                    String oid = i.next();
 
                     if (oid.equals("2.16.840.1.113730.1.1")) {
                         String extVal = getCertTypeExtensionInfo(cert);
@@ -113,11 +113,11 @@ public class X509CertImplMapper implements IDBAttrMapper {
                             CertDBSchema.LDAP_ATTR_EXTENSION, oid));
                 }
             }
-            Set critSet = cert.getCriticalExtensionOIDs();
+            Set<String> critSet = cert.getCriticalExtensionOIDs();
 
             if (critSet != null) {
-                for (Iterator i = critSet.iterator(); i.hasNext();) {
-                    String oid = (String) i.next();
+                for (Iterator<String> i = critSet.iterator(); i.hasNext();) {
+                    String oid = i.next();
 
                     if (oid.equals("2.16.840.1.113730.1.1")) {
                         String extVal = getCertTypeExtensionInfo(cert);
diff --git a/pki/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java b/pki/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java
index f03b81f3d32f4ed634c14a4ee19b6bc5ed00bccb..213772882ef39a9f330370caf514bfe93b4b54dc 100644
--- a/pki/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java
+++ b/pki/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java
@@ -47,8 +47,8 @@ public class CMSExtensionsMap implements ISubsystem {
 
     private static final String PROP_CLASS = "class";
 
-    private Hashtable mName2Ext = new Hashtable();
-    private Hashtable mOID2Ext = new Hashtable();
+    private Hashtable<String, ICMSExtension> mName2Ext = new Hashtable<String, ICMSExtension>();
+    private Hashtable<String, ICMSExtension> mOID2Ext = new Hashtable<String, ICMSExtension>();
     private ISubsystem mOwner = null;
     private IConfigStore mConfig = null;
 
@@ -62,7 +62,7 @@ public class CMSExtensionsMap implements ISubsystem {
         mOwner = owner;
         mConfig = config;
 
-        Enumeration sstores = mConfig.getSubStoreNames();
+        Enumeration<String> sstores = mConfig.getSubStoreNames();
 
         while (sstores.hasMoreElements()) {
             String name = (String) sstores.nextElement();
diff --git a/pki/base/common/src/com/netscape/cmscore/jobs/JobCron.java b/pki/base/common/src/com/netscape/cmscore/jobs/JobCron.java
index 0fca2ba9c3b28beab2bf5444027a1eb7cba3542d..164c1250e95ae9b5b4331a867cfd9e6677e82e26 100644
--- a/pki/base/common/src/com/netscape/cmscore/jobs/JobCron.java
+++ b/pki/base/common/src/com/netscape/cmscore/jobs/JobCron.java
@@ -135,16 +135,16 @@ public class JobCron implements IJobCron {
          * the '*' one will remain empty (no elements)
          */
         // day-of-week
-        if ((sDayOMonth != null) && sDayOMonth.equals(CronItem.ALL) && (sDayOWeek != null)
-                && !sDayOWeek.equals(CronItem.ALL)) {
+        if ((sDayOMonth != null)
+                && sDayOMonth.equals(CronItem.ALL) && (sDayOWeek != null) && !sDayOWeek.equals(CronItem.ALL)) {
             try {
                 cDOW.set(sDayOWeek);
             } catch (EBaseException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_JOBS_INVALID_DAY_OF_WEEK", e.toString()));
                 throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_JOB_CRON"));
             }
-        } else if ((sDayOMonth != null) && !sDayOMonth.equals(CronItem.ALL) && (sDayOWeek != null)
-                && sDayOWeek.equals(CronItem.ALL)) {
+        } else if ((sDayOMonth != null)
+                && !sDayOMonth.equals(CronItem.ALL) && (sDayOWeek != null) && sDayOWeek.equals(CronItem.ALL)) {
             try {
                 cDOM.set(sDayOMonth);
             } catch (EBaseException e) {
